package com.ecyrd.jspwiki.plugin;

import java.util.HashMap;

import org.jboss.wiki.WikiInsidePlugin;
import org.jboss.wiki.WikiPage;
import org.jboss.wiki.WikiSession;

public class CounterPlugin extends WikiInsidePlugin {

	@Override
	public String process(WikiPage wikiPage, WikiSession wikiSession,
			HashMap<String, String> attributes) {
		
		String name = attributes.get("name");
		
		String counterName = "counter"+((name == null) ? "" : "-"+name);
		
		Integer counter = (Integer)wikiPage.getTempVariable(counterName, wikiSession);
		
		if (counter != null) {
			counter++;
		}
		else {
			counter = new Integer(1);
		}
		
		wikiPage.addTempVariable(counterName, counter, wikiSession);
		
		return counter.toString();
	}

	@Override
	public void init() {
		// TODO Auto-generated method stub

	}

}
