package com.ecyrd.jspwiki.plugin;

import java.util.HashMap;
import java.util.Set;


import org.jboss.wiki.WikiPage;
import org.jboss.wiki.WikiSession;
import org.jboss.wiki.plugins.RefsManipulatingInsidePlugin;

public class ReferringPagesPlugin extends RefsManipulatingInsidePlugin {

	@Override
	public String process(WikiPage wikiPage, WikiSession wikiSession,
			HashMap<String, String> attributes) {
		Integer max = getNumericValue(attributes, "max");
		Integer maxwidth = getNumericValue(attributes, "maxwidth");

		if (max == null)
			max = 10;

		if ((maxwidth != null) && (maxwidth < 4)) {
			maxwidth = 4;
		}

		StringBuffer stringBuffer = new StringBuffer();

		String uid = wikiEngine.getUid(wikiPage.getName(), wikiPage.getLangCode());

		Set<String> refsFor = getRefsFor(uid, max, wikiSession, wikiPage.getLangCode());
		
		for (String ref : refsFor) {
			stringBuffer.append(getLink(ref, maxwidth));	
		}

		return stringBuffer.toString();
	}

	@Override
	public void init() {
		// TODO Auto-generated method stub

	}

}
