package org.jboss.wiki;

import java.util.HashMap;

public class LanguageDataSource {
	private MediaDataSource mediaDataSource;
	private AttachmentDataSource attachmentDataSource;
	private WikiPageDictionary wikiPageDictionary;
	private String languageCode;
	private HashMap<String, WikiPage> pages;
	private RenamePageWatcher renamePageWatcher;
	
	public LanguageDataSource(WikiEngine wikiEngine, String languageCode, MediaDataSource mediaDataSource, AttachmentDataSource attachmentDataSource, WikiPageDictionary wikiPageDictionary) {
		this.mediaDataSource = mediaDataSource;
		this.attachmentDataSource = attachmentDataSource;
		this.wikiPageDictionary = wikiPageDictionary;
		this.languageCode = languageCode;
		renamePageWatcher = new RenamePageWatcher(wikiEngine, wikiPageDictionary);
		
		pages = new HashMap<String, WikiPage>();
	}

	public AttachmentDataSource getAttachmentDataSource() {
		return attachmentDataSource;
	}

	public void setAttachmentDataSource(AttachmentDataSource attachmentDataSource) {
		this.attachmentDataSource = attachmentDataSource;
	}

	public MediaDataSource getMediaDataSource() {
		return mediaDataSource;
	}

	public void setMediaDataSource(MediaDataSource mediaDataSource) {
		this.mediaDataSource = mediaDataSource;
	}

	public WikiPageDictionary getWikiPageDictionary() {
		return wikiPageDictionary;
	}

	public void setWikiPageDictionary(WikiPageDictionary wikiPageDictionary) {
		this.wikiPageDictionary = wikiPageDictionary;
	}

	public String getLanguageCode() {
		return languageCode;
	}

	public void setLanguageCode(String languageCode) {
		this.languageCode = languageCode;
	}

	public HashMap<String, WikiPage> getPages() {
		return pages;
	}

	public RenamePageWatcher getRenamePageWatcher() {
		return renamePageWatcher;
	}
}
